Name:           weplab
Version:        0.1.5
Release:        3%{?dist}
Summary:        Analyzing WEP encryption security on wireless networks

Group:          Applications/System
License:        GPLv2+
URL:            http://weplab.sourceforge.net/
Source0:        http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap-devel
Requires:	wireless-tools

%description
WepLab is a tool designed to teach how WEP works, what different
vulnerabilities it has, and how they can be used in practice to
break a WEP protected wireless network. So far, WepLab is more than
a Wep Key Cracker, it is a Wep Security Analyzer designed from an
educational point of view. The author has tried to leave the
source code as clear as possible, running away from optimizations
that would obfuscate it.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_mandir}/man1/weplab.1*
%{_bindir}/weplab


%changelog
* Thu Sep 11 2008 Fabian Affolter <fabian@bernewireless.net> - 0.1.5-3
- Fix spec file acc. #461358 Comment #6

* Sun Sep 07 2008 Fabian Affolter <fabian@bernewireless.net> - 0.1.5-2
- Fix spec file acc. #461358 Comment #1

* Fri Sep 05 2008 Fabian Affolter <fabian@bernewireless.net> - 0.1.5-1
- Initial package for Fedora
